Skip to main content
POST
Delete bill payment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

businessId
string<uuid>
required

The UUID of the business the payment belongs to

paymentId
string<uuid>
required

The UUID of the payment to delete

Response

200 - application/json

Payment deleted successfully

id
string<uuid>

Unique identifier for the payment

external_id
string | null

External ID for the payment

at
string<date-time>

When the payment was made

method
enum<string>

Method used for payment

Available options:
CASH,
CHECK,
CREDIT_CARD,
ACH,
CREDIT_BALANCE,
OTHER
amount
integer<int64>

Payment amount in cents

processor
string | null

Payment processor used

payment_clearing_account
object

The the ledger account to use for the payment (overrides the default determined by the payment method), if specified.

imported_at
string<date-time>

When the payment was imported

allocations
object[]

How the payment is allocated across bills

transaction_tags
object[]

Tags associated with the payment

memo
string | null

Memo for any text you would like to associate with the bill payment (for example, to display to end users).

metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the bill payment. Can be used to filter when listing bill payments.